package io.gmss.fiscad.interfaces.rfu.parametre;

import io.gmss.fiscad.entities.rfu.parametre.Exercice;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface ExerciceService {

    Exercice createExercice(Exercice exercice) throws BadRequestException;

    Exercice updateExercice(Long id, Exercice exercice) throws NotFoundException;

    void deleteExercice(Long id) throws NotFoundException;

    Page<Exercice> getExerciceList(Pageable pageable);

    List<Exercice> getExerciceList();


    Optional<Exercice> getExerciceById(Long id);
}

